<script lang="ts">
    export let content;
    export let theme;
    export let onclick = () => {};
    export let href = "#";
</script>
<style>
    button {
        font-size: 2em;
        width: 100%;
        padding: 5% 0;
        margin: 5% 0;
    }
    button.secondary {
        background-color: inherit;
        border: 2px solid #3d3d3d;
        border-radius: 15px;
        color: #3d3d3d;
    }
    button.secondary:hover, button.secondary:active {
        background-color: #3d3d3d;
        color: #ebebeb;
    }
    button.primary {
        background-color: inherit;
        border: 2px solid #faa811;
        border-radius: 15px;
        color: #faa811;
    }
    button.primary:hover, button.primary:active {
        background-color: #faa811;
        color: #ebebeb;
    }
</style>
<a {href}>
    <button class={theme} on:click={onclick}>
        {content}
    </button>
</a>